searchData={"items":[{"type":"module","title":"SimplexFormat","doc":"Helpers related to formatting text.","ref":"SimplexFormat.html"},{"type":"function","title":"SimplexFormat.text_to_html/2","doc":"Returns text transformed into HTML using simple formatting rules.\n\nTwo or more consecutive newlines `\\n\\n` or `\\r\\n\\r\\n` are considered as a\nparagraph and text between them is wrapped in ` ` tags.\nOne newline `\\n` or `\\r\\n` is considered as a linebreak and a ` ` tag is inserted.","ref":"SimplexFormat.html#text_to_html/2"},{"type":"function","title":"Examples - SimplexFormat.text_to_html/2","doc":"iex> text_to_html(\"Hello\\n\\nWorld\") |> safe_to_string\n    \" Hello \\n World \\n\"\n\n    iex> text_to_html(\"Hello\\nWorld\") |> safe_to_string\n    \" Hello \\nWorld \\n\"\n\n    iex> text_to_html(\"Hello, welcome to http://www.google.com\", auto_link: true) |> safe_to_string\n    \" Hello, welcome to  http://www.google.com  \\n\"\n\n    iex> opts = [wrapper_tag: :div, attributes: [class: \"p\"]]\n    ...> text_to_html(\"Hello\\n\\nWorld\", opts) |> safe_to_string\n    \" Hello \\n World \\n\"","ref":"SimplexFormat.html#text_to_html/2-examples"},{"type":"function","title":"Options - SimplexFormat.text_to_html/2","doc":"* `:escape` - if `false` does not html escape input (default: `true`)\n  * `:wrapper_tag` - tag to wrap each paragraph (default: `:p`)\n  * `:attributes` - html attributes of the wrapper tag (default: `[]`)\n  * `:insert_brs` - if `true` insert ` ` for single line breaks (default: `true`)\n  * `:auto_link` - if `true` wrap HTTP URLs in an anchor tag (default: `false`)\n  * `:url_attributes` - HTML attributes of the anchor tag for auto_linked URLs (default: `[]`)","ref":"SimplexFormat.html#text_to_html/2-options"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}